> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creditriskmonitor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Access FRISK Score Trends

> Retrieves the historical progression of FRISK scores for risk analysis.

<Note>
  Use the [**<u>Login</u>**<u> endpoint</u>](/api-reference/user/logs-a-user-in) to retrieve the **`SessionKey`**, then include it in the **Authorization** field for authentication.
</Note>


## OpenAPI

````yaml get /v1/Business/FRISKHistory
openapi: 3.0.0
info:
  version: v2
  title: Credit Risk Monitor API
servers:
  - url: https://api.creditriskmonitor.com
security: []
paths:
  /v1/Business/FRISKHistory:
    get:
      tags:
        - Business
      summary: Gets the FRISKHistory for a Business.
      operationId: Business_GetFRISKHistory
      parameters:
        - name: id
          in: query
          description: Business ID
          required: false
          schema:
            format: int32
            type: integer
        - name: CustomerId
          in: query
          description: >-
            If you are a Trade Provider you can use your CustomerId to idenfity
            a Business with the CustomerId parameter.
          required: false
          schema:
            type: string
        - name: SupplierId
          in: query
          description: >-
            If you have a Supplier List you can use your SupplierId to identify
            a Business with the SupplierId parameter.
          required: false
          schema:
            type: string
        - name: count
          in: query
          description: >-
            The number of rows to return. Returns all rows if count is not sent
            .
          required: false
          schema:
            format: int32
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIFRISKHistoryCollection_
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIFRISKHistoryCollection_
            text/html:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIFRISKHistoryCollection_
            application/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIFRISKHistoryCollection_
            text/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIFRISKHistoryCollection_
      security:
        - Bearer: []
components:
  schemas:
    APIResponseContainer_APIFRISKHistoryCollection_:
      description: ''
      type: object
      properties:
        Success:
          description: ''
          type: boolean
        Data:
          description: ''
          type: array
          items:
            $ref: '#/components/schemas/APIFRISKHistory'
        ErrorCode:
          description: ''
          type: string
    APIFRISKHistory:
      description: ''
      type: object
      properties:
        Year:
          format: int32
          description: Year for this FRISK Score
          type: integer
        Month:
          format: int32
          description: Month for this FRISK Score
          type: integer
        AverageFRISKScore:
          format: int32
          description: Average FRISK Score for this Year and Month
          type: integer
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: >-
        Enter the Session Key with the `Bearer ` prefix, e.g. "Bearer
        abcde12345".

````